/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package pe.siso.horario.DAO;

import java.util.ArrayList;
import pe.siso.horario.Beans.Nivel;

/**
 *
 * @author fcelestino
 */
public interface NivelDAO {
    public ArrayList<Nivel> listarNivel() throws Exception;
    public ArrayList<Nivel> listarNivel(String codigoTipoCentro,String codigoCentro) throws Exception;
    public ArrayList<Nivel> listarNivel(String codigoTipoCentro) throws Exception;
    public void registrarNivel(String codigoCentro,String nombreNivel) throws Exception;
    public void cambiarEstado(String dato, String codigoNivel) throws Exception;
    public ArrayList<Nivel> cargarNivel(String codigoCentro) throws Exception;
    public ArrayList<Nivel> cargarNivelSec(String codigoCentro) throws Exception;
    public ArrayList<Nivel> cargarNivel(String codigoSede,String codigoTipoCentro,String codigoCentro) throws Exception;
    public ArrayList<Nivel> cargatNivelDocente() throws Exception;
    public ArrayList<Nivel> cargatNivel() throws Exception;
    public Nivel nombreNivel(String codNivel) throws Exception;
    public void actualizar(String codNivel,String nombre) throws Exception;
    public int cantidadUsoNivel(String codNivel) throws Exception;
}
